<div class='content__login'>
  <div class='login__group'>
    <div class='login__group--left'>
      <div class='login__box'>
        <div class='login__header'>
          <div class='login__logo'>
            <img src='assets/icon/login/logo_login.png' alt=''>
          </div>
          <div class='login__welcome'>
            <img src='assets/icon/login/hand.gif' alt=''>
            Chào mừng bạn đến với
          </div>
          <div class='login__sys--name'>
            HUMAN CAPITAL MANAGEMENT
          </div>
        </div>
<!--        <div nz-row>-->
<!--          <div nz-col [nzSpan]="24" class='login__msg_error'>-->
<!--            <span>{{messageError}}</span>-->
<!--          </div>-->
<!--        </div>-->
        <form nz-form [formGroup]="validateForm" class="login-form" (ngSubmit)="submitForm()">
          <nz-form-item>
            <nz-form-control nzErrorTip="Bạn chưa nhập tài khoản">
              <nz-form-label [nzNoColon]="true">Tài khoản</nz-form-label>
              <nz-input-group nzSize="large" class="login__input--item" nzPrefixIcon="user">
                <input type="text" nz-input formControlName="username" placeholder="Nhập tài khoản" />
              </nz-input-group>
            </nz-form-control>
          </nz-form-item>
          <nz-form-item>
            <nz-form-control nzErrorTip="Bạn chưa nhập mật khẩu">
              <nz-form-label [nzNoColon]="true">Mật khẩu</nz-form-label>
              <nz-input-group nzSize="large" class="login__input--item" nzPrefixIcon="lock" [nzSuffix]="suffixTemplate">
                <input [attr.type]="passwordVisible ? 'text' : 'password'" nz-input formControlName="password" placeholder="Nhập mật khẩu" />
              </nz-input-group>
              <ng-template #suffixTemplate>
                <em nz-icon [nzType]="passwordVisible ? 'eye-invisible' : 'eye'" (click)="passwordVisible = !passwordVisible"></em>
              </ng-template>
            </nz-form-control>
          </nz-form-item>
          <nz-form-item *ngIf='numberLoginFailed > 5'>
            <nz-form-control nzErrorTip="Bạn chưa xác nhận mã captcha">
              <div class='login__input--item'>
                <re-captcha #captchaElem formControlName="recaptcha" (resolved)="resolved($event)" (error)="onError($event)"></re-captcha>
              </div>
            </nz-form-control>
          </nz-form-item>
          <div nz-row>
            <div nz-col [nzSpan]="24" class='login__button--action'>
              <button>Đăng nhập <em class="fa fa-spinner fa-spin" *ngIf="isLoading"></em></button>
            </div>
          </div>
        </form>
      </div>
    </div>
    <div *ngIf="!isMobile" class='login__group--right'>
      <div class='img__login'>
        <img src='assets/img/background/img-login.svg' alt=''>
      </div>
      <div class='slogan__login'>
        <div class='sys__name'>Hệ thống quản trị nguồn nhân lực</div>
        <div class='sys__content'>Kênh thông tin dành cho MBers trên HCM</div>
        <div class='sys__info'>Nơi bạn có thể tra cứu và tìm hiểu thông tin cá nhân của bản thân một cách dễ dàng nhất</div>
      </div>
    </div>
  </div>
</div>
